Runtime

## org.eclipse.gmf.runtime.common.ui.services.statusline
Class AbstractStatusLineContributionItemProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.statusline.AbstractStatusLineContributionItemProvider

All Implemented Interfaces:
  IProvider, IStatusLineContributionItemProvider

    public class AbstractStatusLineContributionItemProvider

extends AbstractProvider
implements IStatusLineContributionItemProvider

Abstract implementation of a status line contribution item provider.

Since:
  1.2

Constructor Summary
`AbstractStatusLineContributionItemProvider()`

Method Summary
`java.util.List<IContributionItem>` `getStatusLineContributionItems(IWorkbenchPage workbenchPage)` Gets a list of contribution items for the status line.
`boolean` `provides(IOperation operation)` Indicates whether this provider provides the specified operation.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractStatusLineContributionItemProvider

    public AbstractStatusLineContributionItemProvider()

Method Detail

### getStatusLineContributionItems

    public java.util.List<IContributionItem> getStatusLineContributionItems(IWorkbenchPage workbenchPage)

  Description copied from interface: `IStatusLineContributionItemProvider`
  Gets a list of contribution items for the status line.

  Specified by:
    `getStatusLineContributionItems` in interface `IStatusLineContributionItemProvider`
  Parameters:
    `workbenchPage` - the workbench page.
  Returns:
    a list of contribution items for the status line .

### provides

    public boolean provides(IOperation operation)

  Description copied from interface: `IProvider`
  Indicates whether this provider provides the specified operation.

  Providers generally cast the operation to a service specific `IOperation`-derived class in order to determine whether they support the request.

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.